<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.system.mapper.WebSiteTenDaysHitsMapper">
    
    <resultMap type="WebSiteTenDaysHits" id="WebSiteTenDaysHitsResult">
    	<id     property="id"      column="id"      />
        <result property="timeNames"    column="time_names"    />
        <result property="timeDatas"     column="time_datas"     />
    </resultMap>
    
    <sql id="selectWebSiteTenDaysHitsVo">
        select id, time_names, time_datas from sooka_web_site_ten_days_hits
    </sql>

    <select id="selectWebSiteTenDaysHitsList" parameterType="WebSiteTenDaysHits" resultMap="WebSiteTenDaysHitsResult">
        <include refid="selectWebSiteTenDaysHitsVo"/>
    </select>

	<delete id="deleteWebSiteTenDaysHitsAll" parameterType="Long">
		delete from sooka_web_site_ten_days_hits
	</delete>

	<insert id="insertBatch">
		insert into sooka_web_site_ten_days_hits (time_names, time_datas) values
		<foreach item="item" collection="list" separator=",">
			(#{item.timeNames},#{item.timeDatas})
		</foreach>
	</insert>


</mapper>